---
id: technology-template-delete
title: "Delete a technology template"
description: "Deletes a specific technology template."
sidebar_label: "Delete a technology template"
hide_title: true
hide_table_of_contents: true
api: eJzdVk1v4zYQ/SvEnHYB1Xa+Lrq5mxRNURTBroMukATBmBxb3KVIhRylcQ3992Io2bFjo+0e2gL1gZaoIefNmzccrsFQ0tE2bIOHEi7JEVNSqFJD2i6sVky68sGF5Uox1Y1DphEUwLhMUN7B7PAzPBQQGooom14bKOF1j8eNUWmyKyggkW6j5RWUd2uYE0aK05YrKO8euocCGoxYE1NM2cBjTVCCNVCAFcgNcgXFmzhmFanW26eW1PWlWoSouKKjodx7KCDSU2sjGSg5tlRA0hXVCOUaeNVkd55pSRG6AugF68YRlCenZ4IvUmqCT5TE/HQykb9DMFs+1G+YVGq1ppQWrRvJluefPx+u+uAseVYUY4hq60SZlhQHZf0zOmuU9U3LKkRV25SsX6pXuiRLOngmz7I7No2zOmMYf0niYn0YZ5h/Ic17jNxBYuQ2fQhGspXxQAE1pYTLnOsmSnRsewp2rA/5e5unH2ezG9WvUDoYUpGaSIk8SyySs60O9S4f72i0HBXqfDKR4USGMxnO30vU2xSdTyadkLCHJXG0fnkAZapq1JX19F0kNDh3NPjKuLhCVhqZliHa3yn12Cg+U1QLtK6NtOcZ5mgehURKnFWTafsbIObR0qJQVVujf0WyY6XCIjvvwcl2Gzbu4Xs06mPv9B5k4tZjy1WGbO5hn5xda4G4yehfgzTGyiM6ZYjRuqRwHlp+hbXvR/Q/UJHVX6NbhFiTUZldz2g9ma2kdxXc5V8BF8cq5FNP/9sKsd5knfulQq9sSi2p4DO46c21StbQ/6w00i4RgxgupDQuJqcynO0n/uK/qwoJNnp0j73RY0/Zv1Yf14N7NUjnSmz6SpEZq0ndenxG62TXg4I5uvwfLZ2pV62nl4Y0kxlCClq3MZIZqRtHmEhxXClcovVKOlrcVE3GxVWQBrxttrlbljDe9L/x2pouN2GJqG+xbXRQQsXcpHI8xsaOfOucmEvZjnSoQRrfpm9/kkrpBb7bvbdUyEYw9NR8MmYjKIaHH0KskaGEn36dgYC2fhFkueDpWTsZTUYTuXNYzqz8sgNHalpS0ITENebSHa4I/V1G4bG2/zYx69fj4FvuQH2ATC88bhxaL0Aye+uB6DvY8VhaI2dCFRLLl/V6joluo+s6mX5qKcod6KGAZ4xWBJizYWySZwPlAl2iPwH+7uNwMr1X33j/ORrIMIl+BQLJtfIGBXylVX8B6x66AipCQzEj7T9MtaaGd5YcnK4inq0yL69+vppdQQG4r5o3KskOjiJar3uLWfhKvuu2AFneBWPX/QHDb8VP
sidebar_class_name: "delete api-method"
info_path: docs/api/nullplatform-api
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete a technology template"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/template/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Deletes a specific technology template.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","description":"The unique ID for the technology template.\n","required":true,"schema":{"type":"integer"},"example":123}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      